org.fourthline.cling.model

## Class Location

- java.lang.Object
- - org.fourthline.cling.model.Location

-     public class Location
      extends Object

  The IP address/port, MAC address, and URI path of a (network) location.

  Used when sending messages about local devices and services to other UPnP participants on the network, such as where our device/service descriptors can be found or what callback address to use for event message delivery. We also let them know our MAC hardware address so they can wake us up from sleep with Wake-On-LAN if necessary.

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NetworkAddress` | `networkAddress`
    `protected String` | `path`
    `protected URL` | `url`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Location(NetworkAddress networkAddress, String path)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `NetworkAddress` | `getNetworkAddress()`
    `String` | `getPath()`
    `URL` | `getURL()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### networkAddress

          protected final NetworkAddress networkAddress

    - #### path

          protected final String path

    - #### url

          protected final URL url

  - ### Constructor Detail

    - #### Location

          public Location(NetworkAddress networkAddress,
                          String path)

  - ### Method Detail

    - #### getNetworkAddress

          public NetworkAddress getNetworkAddress()

    - #### getPath

          public String getPath()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getURL

          public URL getURL()

      Returns:
        An HTTP URL with the address, port, and path of this location.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.